 REM Program Ansi screen blanker/copyright screen display utility v1.5a
 REM   for Dndbbs Version v5.0a Release r2.0a Tweak t6.0a:

 REM compile:
 REM  BC Ansi/ah/s/e/g3/o;
 REM  Link Ansi,,Nul,/e;

 REM History:
 REM   v1.0a  Initial creation.
 REM   v1.1a  Added 43/50 line support.
 REM   v1.2a  Added Sub Amount().
 REM   v1.3a  Added release to screen.
 REM   v1.4a  Fixes reading run.number.
 REM          Added Sub Amount2().
 REM   v1.5a  Adds Tweak version.

 REM Command line:
 REM Nul = ansi ship screen
 REM  1 = white moon
 REM  2 = red moon
 REM  3 = blue moon
 REM  4 = green skull moon
 REM /<node> = copyright screen
 REM   (reads Node??.def)

 REM $DYNAMIC
 REM DEFINT A-Z

 CONST Version$="v5.0a"
 CONST Release$="r2.0a"
 CONST Tweak$="t6.0a"
 CONST RunMode$="gamma"

 Const MaxConfigArray1=40
 Const MaxConfigArray2=150
 Const MaxConfigArray3=100

 CONST YearRelease$="2025"

 Function Form$(Var#)
   Form$=Format$(Var#,"#,##0;;"+Chr$(34)+"zero"+Chr$(34))
 End Function

 Function DateS$
  DateS$=Format$(Now,"mm-dd-yyyy")
 End Function

 Function TimeS$
  TimeS$=Format$(Now,"hh:mm:ss")
 End Function

 IF Command$="/?" Then
    Color 15,0
    Print "ANSI screen blanker v1.5a"
    Color 14,0
    Print "Usage:"
    Color 15,0
    Print "ANSI <nul>, 1-4"
    Print "  Display ANSI screen"
    Print "ANSI /<node>"
    Print "  Display copyright screen"
    Color 7,0
    Print
    Print "Exiting to System:"
    End
 END IF

 Call Read.Rows(VarQ)

 IF Left$(Command$,1)="/" Then
    Call Copyscrn(0)
    End
 END IF

 ' display screen blanker
 SELECT CASE COMMAND$
 CASE "1"
    COLOR 15
    GOTO New.Moon
 CASE "2"
    COLOR 12
    GOTO New.Moon
 CASE "3"
    COLOR 9
    GOTO New.Moon
 CASE "4"
    GOTO Skull.Moon
 END SELECT
 CLS
 COLOR 12
 PRINT SPACE$(4);
 COLOR 7
 PRINT "ú";
 COLOR 8
 PRINT "°"; SPACE$(15);
 COLOR 7
 PRINT "ú"; SPACE$(25);
 COLOR 8
 PRINT "°  °     ";
 COLOR 7
 PRINT "ù"; SPACE$(6); "ú   ù     ";
 COLOR 8
 PRINT "°";
 COLOR 7
 PRINT "ù"
 PRINT SPACE$(6);
 COLOR 8
 PRINT "°";
 COLOR 7
 PRINT "ù"; SPACE$(10);
 COLOR 8
 PRINT "° °"; SPACE$(8);
 COLOR 7
 PRINT "ù  ú    ";
 COLOR 15
 PRINT "Ü²²ÛÛÜ   ";
 COLOR 7
 PRINT "ù ";
 COLOR 8
 PRINT "°°"; SPACE$(15);
 COLOR 15
 PRINT "Welcome To";
 COLOR 8
 PRINT "° ";
 COLOR 7
 PRINT "ù"
 PRINT "    ";
 COLOR 8
 PRINT "°ù°±° ";
 COLOR 7
 PRINT "ù"; SPACE$(9);
 COLOR 8
 PRINT "±ú °"; SPACE$(12);
 COLOR 15
 PRINT " ÛÛÛ²Û²    ";
 COLOR 8
 PRINT "° ±²°"; SPACE$(6);
 COLOR 15
 PRINT "ú Dndbbs Version "; Version$
 PRINT SPACE$(5);
 COLOR 8
 PRINT "°°±²°"; SPACE$(9);
 COLOR 7
 PRINT "ú  ";
 COLOR 8
 PRINT "±  °";
 COLOR 7
 PRINT ". ";
 COLOR 15
 PRINT "ú ";
 COLOR 8
 PRINT "° ú    ";
 COLOR 15
 PRINT "ß²Û²Ûß"; SPACE$(6);
 COLOR 8
 PRINT "° ²±   ";
 COLOR 7
 PRINT "ù"; SPACE$(6);

 COLOR 15
 PRINT "Release "; Release$

 PRINT "  ";
 COLOR 15
 PRINT ".   ú   ";
 COLOR 7
 PRINT "ù  ú"; SPACE$(6); "ù ";
 COLOR 8
 PRINT "±²²  ";
 COLOR 7
 PRINT "ú . ";
 COLOR 8
 PRINT "°±"; SPACE$(17);
 COLOR 7
 PRINT "ú ";
 COLOR 8
 PRINT "±²"; SPACE$(8);

 COLOR 15
 PRINT "  Tweak "; Tweak$

 COLOR 10
 PRINT "    ÜÜÜÜ ";
 COLOR 8
 PRINT "°±°  ù"; SPACE$(8); "°±²±";
 COLOR 7
 PRINT "ú    ";
 COLOR 8
 PRINT "± ±  ";
 COLOR 7
 PRINT "ú   ù   ";
 COLOR 8
 PRINT "ú    °  °    °";
 COLOR 7
 PRINT "ù"; SPACE$(3);
 COLOR 15
 PRINT "  . 2025 .    "
 PRINT SPACE$(3);
 COLOR 10
 PRINT "ÜÛ";
 COLOR 2
 PRINT "²";
 COLOR 10
 PRINT "ÛÛÛÛ  ";
 COLOR 8
 PRINT "°"; SPACE$(6);
 COLOR 7
 PRINT "ú     ";
 COLOR 8
 PRINT "°±²    ° ²"; SPACE$(13);
 COLOR 7
 PRINT "ú"; SPACE$(8);
 COLOR 8
 PRINT "ù°±° ";
 COLOR 7
 PRINT "ù"; SPACE$(6);
 COLOR 15
 PRINT ".   ú"
 PRINT "  ";
 COLOR 10
 PRINT "Û";
 COLOR 2
 PRINT "²";
 COLOR 10
 PRINT "ÛÛ";
 COLOR 2
 PRINT "²²²²";
 COLOR 10
 PRINT "Û";
 COLOR 15
 PRINT "    ú"; SPACE$(11);
 COLOR 8
 PRINT "±  ";
 COLOR 7
 PRINT "ù  ";
 COLOR 8
 PRINT "° ²ù ";
 COLOR 7
 PRINT ". ";
 COLOR 15
 PRINT "ú   ";
 COLOR 6
 PRINT " º";
 COLOR 4
 PRINT "ÛÛÜ  ";
 COLOR 7
 PRINT "Ü";
 COLOR 6
 PRINT "º";
 COLOR 4
 PRINT "ÛÛÜ"; SPACE$(9);
 COLOR 7
 PRINT SPACE$(11)
 PRINT " ";
 COLOR 2
 PRINT "ÛÛÛÛÛÛÛÛÛÛ"; SPACE$(10);
 COLOR 7
 PRINT "ù"; SPACE$(7);
 COLOR 8
 PRINT "±    °°±±"; SPACE$(6);
 COLOR 7
 PRINT "Ü";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "ÛÝ  ÛÛ";
 COLOR 6
 PRINT "º"; SPACE$(7); "º";
 COLOR 4
 PRINT "ÛÜ  ";
 COLOR 8
 PRINT "°";
 COLOR 7
 PRINT "ù"
 COLOR 10
 PRINT "ÛÛÛÛÛÛÛÛÛÛÛÛÛ"; SPACE$(17);
 COLOR 8
 PRINT "°±";
 COLOR 7
 PRINT "ù    ";
 COLOR 8
 PRINT "°   ";
 COLOR 7
 PRINT "ÜÜÛ²";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "²Û Ü²Û²Ü    ÜÛ";
 COLOR 6
 PRINT "º   ";
 COLOR 8
 PRINT "ù°±° ";
 COLOR 7
 PRINT "ù";
 COLOR 8
 PRINT "ù ° °";
 COLOR 7
 PRINT ". ";
 COLOR 15
 PRINT "ú"
 COLOR 2
 PRINT "ÛÛ²²²²²²²²²²²²²²²"; SPACE$(14);
 COLOR 8
 PRINT "°     °";
 COLOR 6
 PRINT "\";
 COLOR 7
 PRINT "ßÛÛ²ÛÛ";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "Û²ÝÛ²ÛÛ²Û  Û²Û";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "Û   ";
 COLOR 15
 PRINT "ú"; SPACE$(7);
 COLOR 8
 PRINT "²  ";
 COLOR 7
 PRINT "ú ."
 COLOR 10
 PRINT "²²²²²²²±±²±²±²±±²²±"; SPACE$(8);
 COLOR 7
 PRINT "ù     ";
 COLOR 8
 PRINT "ù     ";
 COLOR 6
 PRINT "\\";
 COLOR 7
 PRINT "ÛÛ²Û";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "ß ";
 COLOR 7
 PRINT "\ßÛ²ÛÛ²Û  ÛÛ";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "Û²   ";
 COLOR 15
 PRINT "ú   ";
 COLOR 7
 PRINT ".    ";
 COLOR 8
 PRINT "° ±"
 COLOR 2
 PRINT "±±±±±±±±±±±±±±±±±±±±°°°"; SPACE$(13);
 COLOR 7
 PRINT "ú   ";
 COLOR 6
 PRINT "\\";
 COLOR 7
 PRINT "Ûß ";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "\  \ßÛÛ²ÛÛÛ/ ß";
 COLOR 6
 PRINT "º";
 COLOR 7
 PRINT "²ÛÛÜ"; SPACE$(9); "ù   ";
 COLOR 8
 PRINT "°"
 COLOR 2
 PRINT "±±°±°±°°°°°°°°°°°°°°°°";
 COLOR 2
 PRINT "ÛÛÛ";
 COLOR 14
 PRINT "ÛÛÛÛ"; SPACE$(8);
 COLOR 7
 PRINT "ú   ";
 COLOR 6
 PRINT "\";
 COLOR 4
 PRINT "±±±±";
 COLOR 6
 PRINT "_";
 COLOR 7
 PRINT "\";
 COLOR 6
 PRINT "__";
 COLOR 7
 PRINT "\";
 COLOR 6
 PRINT "_º";
 COLOR 7
 PRINT "ßßß/";
 COLOR 6
 PRINT "_";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±²";
 COLOR 6, 4
 PRINT "/";
 COLOR 15, 0
 PRINT SPACE$(5); "."
 COLOR 2
 PRINT "°°°°°°";
 COLOR 2
 PRINT "Û";
 COLOR 10
 PRINT "°";
 COLOR 2
 PRINT "Û";
 COLOR 10
 PRINT "°°°";
 COLOR 2
 PRINT "Û";
 COLOR 10
 PRINT "°";
 COLOR 2
 PRINT "Û";
 COLOR 10
 PRINT "°";
 COLOR 2
 PRINT "ÛÛÛÛÛÛÛÛ";
 COLOR 14
 PRINT "ÛÛÛÛÛÛÛ";
 COLOR 1
 PRINT "ÛÛÛÛÛÛÛÛ";
 COLOR 15, 1
 PRINT "²±";
 COLOR 1, 0
 PRINT "Û";
 COLOR 4
 PRINT "±±±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±";
 COLOR 6
 PRINT "þ";
 COLOR 4
 PRINT "±±±±²";
 COLOR 6, 4
 PRINT "/";
 COLOR 1, 0
 PRINT "ÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛ";
 COLOR 2
 PRINT "ÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛÛ";
 COLOR 14
 PRINT "ÛÛ²ÛÛ";
 COLOR 1
 PRINT "±±²²²²²²²²²²";
 COLOR 15, 1
 PRINT "²±°";
 COLOR 1, 0
 PRINT "²²";
 COLOR 4
 PRINT "±±±±±±±±±±±±±±±±±±²";
 COLOR 6, 4
 PRINT "/";
 COLOR 1, 0
 PRINT "²²²²²²²²²²±²±²±±²";
 COLOR 2
 PRINT "ÛÛÛÛ²ÛÛÛ²Û²ÛÛÛÛÛÛ";
 COLOR 14
 PRINT "ÛÛÛÛ²²Û";
 COLOR 1
 PRINT "±±±±±±±²±²±²±²";
 COLOR 15, 1
 PRINT "±²°±";
 COLOR 1, 0
 PRINT "±±±";
 COLOR 4
 PRINT "²²²²²²²²²²²²²²²²";
 COLOR 6, 4
 PRINT "/";
 COLOR 1, 0
 PRINT "±±±±±±±±±±±±±±±±±±";
 COLOR 2
 PRINT "ÛÛ²²²²²²²²²²²";
 COLOR 14
 PRINT "²²²²Û²Û²²²²²²±";
 COLOR 1
 PRINT "°°°±±±±±±±";
 COLOR , 7
 PRINT "²±²°";
 COLOR 15, 1
 PRINT "²";
 COLOR 1, 0
 PRINT "±±±±±±±±±±±±±±±±±±±±±±±°°°°";
 COLOR 14
 PRINT "²²²²²²²²²²²";
 COLOR 2
 PRINT "²²²±²±²±±²±²°²";
 COLOR 14
 PRINT "±²²±±²±²±²±²²±±";
 COLOR 1
 PRINT "°°°°°±°°";
 COLOR 15, 1
 PRINT "°";
 COLOR 1, 7
 PRINT "±²±²";
 COLOR 15, 1
 PRINT "°";
 COLOR 1, 0
 PRINT "°°°±°±°±°°±±°±°°°°°";
 COLOR 14
 PRINT "²±²²²²²²±²±²²±±²±²";
 COLOR 2
 PRINT "±²±±±±±±±±±°";
 COLOR 14
 PRINT "±±±±±±±±²±±²±²±²±²±±";
 COLOR 1
 PRINT "°°°°";
 COLOR 15, 1
 PRINT "°";
 COLOR 1, 7
 PRINT "²²±²";
 COLOR 15, 1
 PRINT "°±";
 COLOR 1, 0
 PRINT "°°°°°°°°°°°°°";
 COLOR 14
 PRINT "±±±²±²±±²±²±²²±±±±±²±±±±";
 COLOR 2
 PRINT "±±±°±°±°±°°°°°";
 COLOR 14
 PRINT "±±°±±±±±±±±±±±±²±±²±²±±±±²±²±±²±²±²±±²²²±²±±±±±±²±±±±±±±±±±±°±±°°±";
 COLOR 2
 PRINT "±°±°±°°°°°";
 COLOR 14
 PRINT "°±°°°°±°±±°±±±±°±°±°±±±±±±±°±°±°±±°±±±±±±±±±±°±°°±±±±±°±±°±°±±°°°°°°°°";
 COLOR 2
 PRINT "±°±°±°°°°°";
 COLOR 14
 PRINT "°±°°°°±°±±°±±±±°±°±°±±±±±±±°±°±°±±°±±±±±±±±±±°±°°±±±±±°±±°±°±±°°°°°°°°";
 COLOR 7
 LOCATE 24,1,1
 LOCATE ,,0
 IF VarQ=43 OR VarQ=50 Then
    Call CopyScrn(VarQ)
 END IF
 END
New.Moon:
 LOCATE 2, 37
 PRINT " Ü²²ÛÛÜ"
 LOCATE 3, 37
 PRINT " ÛÛÛ²Û² "
 LOCATE 4, 37
 PRINT " ß²Û²Ûß";
 LOCATE 24,1,1
 LOCATE ,,0
 END
Skull.Moon:
 COLOR 10
 LOCATE 2, 37
 PRINT " Ü²²ÛÛÜ"
 LOCATE 3, 37
 PRINT " Û";
 COLOR 15
 PRINT "\";
 COLOR 10
 PRINT "Û²";
 COLOR 15
 PRINT "/";
 COLOR 10
 PRINT "² "
 LOCATE 4, 37
 PRINT " ß²";
 COLOR 15
 PRINT "--";
 COLOR 10
 PRINT "Ûß";
 LOCATE 24,1,1
 LOCATE ,,0
 END

' display copyright screen
Sub CopyScrn(VarQ)
 On Local Error Goto End.Copy

 VarX$=Ucase$(Environ$("BLIND"))
 If VarX$="ON" Or VarX$="-1" Or VarX$="TRUE" Then
    Border.Off=-1
 Endif

 VarX$=Ucase$(Environ$("BLINDCHAR"))
 If VarX$="ON" Or VarX$="-1" Or VarX$="TRUE" Then
    Border.Char=-1
 Endif

 ' check ansi extended screen
 IF VarQ THEN
    Var%=VarQ
 END IF

 ' get default directory
 DND.Path$=Environ$("DNDBBS")
 If DND.Path$<>"" Then
    If Right$(DND.Path$,1)<>"\" Then
       DND.Path$=DND.Path$+"\"
    Endif
 Endif
 ' read usage filename and rows from .def file
 Close #1
 If Len(Command$) Then
    NodeX$=Mid$(Command$,2)
    FileName$=DND.Path$+"NODE"+NodeX$+".DEF"
    If DIR$(FileName$)<>"" Then
       Open FileName$ For Input Shared As #1
       Line Input #1,Var1$ ' c:\dnddat\
       Line Input #1,Var2$ ' dndusage
       Line Input #1,Var3$ ' .dat
       Input #1,Var% ' screen rows (43,50)
    Endif
 Else
    FileName$=DND.Path$+"DND.CFG"
    Open FileName$ For Input Shared As #1
    Line Input #1,Var$
    For Temp1=1 To MaxConfigArray1
       Input #1,Var!
    Next
    For Temp1=1 To MaxConfigArray2
       Input #1,Var2%
    Next
    For Temp1=1 To MaxConfigArray3
       Line Input #1,Var$
       Select Case Temp1
       Case 11
          Var1$=Rtrim$(Var$) ' \dnddat
       Case 51
          Var2$=Rtrim$(Var$) ' usage
       Case 15
          Var3$=Rtrim$(Var$) ' .dat
       End Select
    Next
 Endif

 ' init usage file
 Close #1
 FileName$=Var1$+Var2$+Var3$
 If FileName$<>"" Then
    Open FileName$ For Random Shared As #1 Len=26
    Field #1,26 As S$
    Lset S$="DND Usage File "+Version$+Chr$(13)+Chr$(10)+Chr$(26)
    Put #1,1
    Field #1,10 As D$, 8 As T$, 8 As X$ ' date/time/counter
    If Lof(1)/26<2 Then
       Lset D$=DateS$
       Lset T$=TimeS$
       Lset X$=Mkd$(0#)
       Put #1,2
    Endif
    Get #1,2
    Var#=Cvd(X$)
    Lset D$=DateS$
    Lset T$=TimeS$
    Lset X$=Mkd$(Var#)
    Put #1,2
    If Lof(1)/26<3 Then
       Lset D$="01-01-1980"
       Lset T$="00:00:00"
       Lset X$=Mkd$(0#)
       Put #1,3
    Endif
 Endif
 ' display 43 line copyright screen
 If Var%=43 Then
    Locate 42, 1
    Color 14, 1
    For Temp = 24 To 43
       Locate Temp, 1
       Print Space$(80);
    Next
    Locate 27, 3, 1
    If Border.Off=0 Then
       If Border.Char=0 Then
          Print Chr$(201); String$(74, 205); Chr$(187);
       Else
          Print "+"; String$(74, "-"); "+";
       Endif
       For Temp = 28 To 42
          Locate Temp, 3, 1
          If Border.Char=0 Then
             Print Chr$(186);
          Else
             Print "|";
          Endif
          Locate Temp, 78, 1
          If Border.Char=0 Then
             Print Chr$(186);
          Else
             Print "|";
          Endif
       Next
       Locate 42, 3, 1
       If Border.Char=0 Then
          Print Chr$(200); String$(74, 205); Chr$(188);
       Else
          Print "+"; String$(74, "-"); "+";
       Endif
    Endif
    Color 15, 1
    Locate 28, 72, 1
    Print "TM";
    Locate 29, 8, 1
    Var$ = "  F  R  E  E  W  A  R  E  "
    If Border.Off=0 Then
       If Border.Char=0 Then
          Print String$(19, 205); Var$; String$(19, 205);
       Else
          Print String$(19, "-"); Var$; String$(19, "-");
       Endif
    Else
       Print String$(19, 32); Var$; String$(19, 32);
    Endif
    Color 11, 1
    Locate 30, 8, 1
    Print "Dungeons  And  Dragons  Bulletin  Board  System  Adventure  Game";

    Color 14, 1
    Locate 31, 8, 1
    Strng$=Version$+" "+Release$+" "+Tweak$
    Print Strng$;
    Call Amount2(Var#,Var$)
    Strng$="Run: "+RunMode$+Var$
    Temp=72-Len(Strng$)
    Locate 31, Temp, 1
    Print Strng$;

    Color 14, 1
    Locate 33, 8, 1
    Print "Contributions for registration can be made in cash or check to:";
    Locate 35, 25, 1
    Print "Erik Jon Oredson";
    Locate 36, 25, 1
    Print "1615 S. 4th St. #M1605";
    Locate 37, 25, 1
    Print "Mpls., MN., 55454-1174";
    Locate 40, 25, 1
    Print "Support: dndbbs@gmail.com";
    Locate 41, 25, 1
    Print "Url: www.filegate.net/pub/pdn/pdnbasic/";
    Color 15, 1
    Locate 42, 1
    Exit Sub
 Endif
 ' display 50 line copyright screen
 If Var%=50 Then
    Locate 49, 1
    Color 14, 1
    For Temp = 24 To 50
       Locate Temp, 1
       Print Space$(80);
    Next
    Locate 27, 3, 1
    If Border.Off=0 Then
       If Border.Char=0 Then
          Print Chr$(201); String$(74, 205); Chr$(187);
       Else
          Print "+"; String$(74, "-"); "+";
       Endif
       For Temp = 28 To 47
          Locate Temp, 3, 1
          If Border.Char=0 Then
             Print Chr$(186);
          Else
             Print "|";
          Endif
          Locate Temp, 78, 1
          If Border.Char=0 Then
             Print Chr$(186);
          Else
             Print "|";
          Endif
       Next
       Locate 48, 3, 1
       If Border.Char=0 Then
          Print Chr$(200); String$(74, 205); Chr$(188);
       Else
          Print "+"; String$(74, "-"); "+";
       Endif
    Endif
    Color 15, 1
    Locate 28, 72, 1
    Print "TM";
    Locate 29, 8, 1
    Var$ = "  F  R  E  E  W  A  R  E  "
    If Border.Off=0 Then
       If Border.Char=0 Then
          Print String$(19, 205); Var$; String$(19, 205);
       Else
          Print String$(19, "-"); Var$; String$(19, "-");
       Endif
    Else
       Print String$(19, 32); Var$; String$(19, 32);
    Endif
    Color 11, 1
    Locate 30, 8, 1
    Print "Dungeons  And  Dragons  Bulletin  Board  System  Adventure  Game";

    Color 14, 1
    Locate 31, 8, 1
    Strng$=Version$+" "+Release$+" "+Tweak$
    Print Strng$;
    Call Amount2(Var#,Var$)
    Strng$="Run: "+RunMode$+Var$
    Temp=72-Len(Strng$)
    Locate 31, Temp, 1
    Print Strng$;

    Color 14, 1
    Locate 33, 8, 1
    Print "Contributions for registration can be made in cash or check to:";
    Locate 35, 25, 1
    Print "Erik Jon Oredson";
    Locate 36, 25, 1
    Print "1615 S. 4th St. #M1605";
    Locate 37, 25, 1
    Print "Mpls., MN., 55454-1174";
    Locate 40, 25, 1
    Print "Support: dndbbs@gmail.com";
    Locate 41, 25, 1
    Print "Url: www.filegate.net/pub/pdn/pdnbasic/";
    Color 15, 1
    Locate 43, 8, 1
    Print "Dndbbs may be distributed freely  with the following restrictions:";
    Color 14, 1
    Locate 44, 8, 1
    Print "The program is not changed or modified before distribution. No fee";
    Locate 45, 8, 1
    Print "is charged for using the program.  The program is not sold or used";
    Locate 46, 8, 1
    Print "for profit. The above copyright notices are not altered or removed.";
    Color 11, 1
    Locate 47, 8, 1
    Print "Copyright (c)ejo 1980-"+YearRelease$+", Dndbbs public domain freeware programs.";
    Locate 49, 1
 Endif
Exit.Copy:
 Exit Sub
End.Copy:
 Locate ,,1
 Print
 Color 15,0
 Print "ANSI screen blanker v1.5a"
 Color 14,0
 Print
 V$ = "Error"+Str$(Err) + "."
 If Err=5 Then
    Select Case Var%
    Case 43
       Z$ = " 43 line"
    Case 50
       Z$ = " 50 line"
    End Select
    V$ = "Syntax error accessing" + Z$ + " display."
 Endif
 Print V$
 Color 7, 0
 Print
 Print "Exiting to System:"
 Resume Exit.Copy
End Sub

' format a double precision string
Sub Amount(Var#,Var$)
 If Instr(Str$(Var#),"D") Then
    Var$=Str$(Var#)
 Else
    Var$=" "+Form$(Var#)
 Endif
End Sub

Sub Amount2(Var#,Var$)
 VarX$=Ltrim$(Str$(Var#)) ' 1.111D308
 V=Instr(VarX$,"D")
 If V Then
    If Mid$(VarX$,2,1)="." Then
       VarX$=Left$(VarX$,1)+Mid$(VarX$,V)
    Endif
    Var$=" "+VarX$
 Else
    Var$=" "+Form$(Var#)
 Endif
End Sub

Sub Read.Rows(Var)
 On Local Error Goto Error.Trap62x
 Temp1=50
 Locate 50,1,0
 Var=50
 Exit Sub
Next.Trap1:
 Temp1=43
 Locate 43,1,0
 Var=43
 Exit Sub
Next.Trap2:
 Temp1=25
 Locate 25,1,0
 Var=25
 Exit Sub
Next.Trap3:
 Var=12
Error.Resume62x:
 Exit Sub
Error.Trap62x:
 If Temp1=50 Then
    Resume Next.Trap1
 Endif
 If Temp1=43 Then
    Resume Next.Trap2
 Endif
 If Temp1=25 Then
    Resume Next.Trap3
 Endif
 Resume Error.Resume62x
End Sub
